Bug 216103 - sysutils/ansible
Summary: sysutils/ansible
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Nikolai Lifanov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-01-15 09:54 UTC by freebsd
Modified: 2017-01-17 14:14 UTC (History)
1 user (show)

See Also:
lifanov: maintainer-feedback+


Attachments
fix patch for extra-patch-ec84ff6 (755 bytes, patch)
2017-01-15 09:54 UTC, freebsd
no flags Details | Diff
ansible template init fix (697 bytes, patch)
2017-01-15 10:09 UTC, freebsd
lifanov: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description freebsd 2017-01-15 09:54:49 UTC
Created attachment 178902 [details]
fix patch for extra-patch-ec84ff6

The current extra-patch-ec84ff6 resulting in an error:

An exception occurred during task execution. To see the full traceback, use -vvv. The error was: AttributeError: 'Templar' object has no attribute 'do_template'

Fix patch attached.
Comment 1 freebsd 2017-01-15 10:09:40 UTC
Created attachment 178904 [details]
ansible template init fix
Comment 2 Nikolai Lifanov freebsd_committer 2017-01-15 15:19:10 UTC
Good catch, these changes were hand-ported and I missed this piece!
Comment 3 Nikolai Lifanov freebsd_committer 2017-01-15 15:19:55 UTC
Comment on attachment 178904 [details]
ansible template init fix

I'll do a version bump with this also.
Comment 4 commit-hook freebsd_committer 2017-01-16 00:18:40 UTC
A commit references this bug:

Author: lifanov
Date: Mon Jan 16 00:17:41 UTC 2017
New revision: 431611
URL: https://svnweb.freebsd.org/changeset/ports/431611

Log:
  fix patch for ec84ff6

  PR:		216103
  Submitted by:	freebsd@sh0shin.org
  Reviewed by:	matthew
  Approved by:	matthew (mentor)
  MFH:		2017Q1
  Differential Revision:	https://reviews.freebsd.org/D9189

Changes:
  head/sysutils/ansible/Makefile
  head/sysutils/ansible/files/extra-patch-ec84ff6
Comment 5 Nikolai Lifanov freebsd_committer 2017-01-16 00:20:23 UTC
Committed, thanks!
Comment 6 commit-hook freebsd_committer 2017-01-17 14:14:36 UTC
A commit references this bug:

Author: lifanov
Date: Tue Jan 17 14:13:22 UTC 2017
New revision: 431739
URL: https://svnweb.freebsd.org/changeset/ports/431739

Log:
  MFH: r431611

  fix patch for ec84ff6

  PR:		216103
  Submitted by:	freebsd@sh0shin.org
  Reviewed by:	matthew
  Approved by:	matthew (mentor)
  Differential Revision:	https://reviews.freebsd.org/D9189

  Approved by:	ports-secteam (junovitch)

Changes:
_U  branches/2017Q1/
  branches/2017Q1/sysutils/ansible/Makefile
  branches/2017Q1/sysutils/ansible/files/extra-patch-ec84ff6